Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/sub-categories

Get SubCategories and AdditionalCategories

This API retrieves a list of the latest subcategories and additional categories available in the system.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Request

Request
curl -X GET 'https://api.synup.com/api/v4/sub-categories' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successfully retrieved categories.
401Unauthorized. Invalid or missing API key.
500Internal Server Error.
Example response (generated from the schema)
{
  "data": {
    "subcategories": [
      {
        "databaseId": 0,
        "id": "string",
        "name": "string",
        "primary": true
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.subcategoriesarray of objectrequired
data.subcategories[].databaseIdintegerrequiredSubcategory ID.
data.subcategories[].idstringrequiredBase64 encoded value of subcategory ID.
data.subcategories[].namestringrequiredName of the subcategory.
data.subcategories[].primarybooleanrequiredIf true, it is a subcategory that can be used as a primary category. If false, it is an additional category and cannot be used as a primary category.